Bug 45505 - ypserv leaks memory like a sieve under load
ypserv leaks memory like a sieve under load
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-22 08:10 EDT by Bill Farrell
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-12 02:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Farrell 2001-06-22 08:10:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Ypserv will, in the course of a few hours under a heavy load, begin to eat 
memory and swap.  No "extra" processes are found in "ps ax" nor in "top".  
Eventually the machine hangs with "Out of memory. Killing process xxxx 
(ypserv)" which keeps repeating about every second.  No response from the 
keyboard, not even a three-fingered salute brings the machine back--you 
must reset or power-cycle.

How reproducible:

Steps to Reproduce:
1. This is readily reproducible on several servers here.  The setup:  take 
a web server dishing out lots and lots of hits from virtual domains 
with "User" and "Group" directives.  
2. Apache must go to NIS for the user information... let it run about 4 
hours and CRASH!


Actual Results:  Worse yet, when NIS suddenly becomes unavailable, Apache 
begins to run its user processes as root, thereby giving common users 
complete access to the system via CGI.

Expected Results:  I expected it to work like 6.2 -- trouble-free and 
reliable.  RH7.1 is clearly NOT ready for production, or at least for 
shops that are serving large amounts of web information.

Additional info:
Comment 1 Florian La Roche 2001-07-06 04:21:11 EDT
Is everything running fine with the glibc from rawhide?

Florian La Roche
Comment 2 Alexander Larsson 2002-04-08 12:35:31 EDT
I haven't tested exactly this way to reproduce the bug, but I haven't seen any
memory leakage. Can you test this with a later version of ypserv such as
ypserv-2.2-7 and see if this still happens to you?
Comment 3 Alexander Larsson 2004-11-12 02:33:06 EST
no reply. closing.

Note You need to log in before you can comment on or make changes to this bug.